Subject: bug#75672: 31.0.50; scratch/igc memory usage/collection issues

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Jan 2025 21:35:15 +0200

> Date: Mon, 20 Jan 2025 19:05:45 +0000
> From: Alexis Purslane <[email-masked]>
> Cc: [email-masked]
> 
> "Eli Zaretskii" <[email-masked]> writes:
> 
> > Does "M-x malloc-trim" make the memory footprint smaller?
> 
> I haven't had an Emacs session open long enough in a bit to get it up to
> 1.3GB again, but I did have a 550MB session open, so I ran M-x
> malloc-trim on it. That brought it back down to 407MB of resident memory.

Then this is almost certainly the usual modus operandi of glibc, and
malloc-trim was added to Emacs precisely for these cases.  For
absolute certainty, use "M-x malloc-info" and examine the resulting
report to determine which part of the malloc arena is in the free
lists.

I see no problems here, and nothing that MPS does which we didn't see
in Emacs before.